#include <stdio.h>
#include <stdlib.h>

int main()
{
    char c1, c2;
    int a1,a2;
    scanf("%c%c", &c1, &c2);
    scanf("%d%d", &a1, &a2);
    if(a1>=a2)
    {
        if(a1-a2==0)
        {
          for(a1; a1>0; a1--)
            printf("%c%c", c1, c2);
        }
        else
            if(a1-a2==1)
            {
                for(a1; a1>1; a1--)
                 printf("%c%c", c1,c2);
                printf("%c",c1);
            }
            else
                printf("nemoguce");
    }
    else
    {
        if(a2>a1 && a2-a1==1)
    {
        for(a2; a2>1; a2--)
            printf("%c%c", c2, c1);
        printf("%c",c2);
    }
        else
            printf("nemoguce");
    }
    return 0;
}